# Series

import pandas

x = pandas.Series([1,2,3,4,5], index=['a', 'b', 'c', 'd', 'e'])

x

x['a']

x['e']

x[1]

x[:4]

np.sum(x)

np.dot(x, x)

x[:3] + x[1:]

x['a':'c']

x['a':'d'] + x['a':'c']

# NB - inclusive slice

x = pandas.Series([1,2,3,4,5], index=['a', 'f', 'g', 'h', 'e'])

x.dtype

x = pandas.Series(np.random.randn(5),
      index=['in', 'out', 'middle', 'top', 'bottom'])

x.dtype

1/x

x = pandas.Series({'a' : 10, 'b' : 15, 'c' : 16.0, 'd' : 17.5})

x

x = pandas.Series({'a' : 10, 'b' : 15, 'c' : 16.0, 'd' : 'q'})

x

x.dtype


y = pandas.Series([1,2,3,4,5], index=['a', 'a', 'b', 'b', 'c'])

print y

y['a']

y['c']

y['a':'c']

y['a':'b']

y = pandas.Series(np.random.randn(50))
print y
y.head()
y.tail()
